PUT /data/projects/{project_id}/metadata-descriptors/{descriptor_id}

Update a metadata descriptor. Descriptors serve to describe extra fields listed in the data attribute of entities.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

  • descriptor_id string(uuid) Required

    Metadata descriptor unique identifier

application/json

Body Required

  • name string

    Name of the metadata descriptor

  • for_client string

    Whether the descriptor is for client

    Default value is False.

  • choices array[string]

    List of choices for the descriptor

  • departments array[string]

    List of departments for the descriptor

Responses

  • 200 application/json

    Metadata descriptor updated

PUT /data/projects/{project_id}/metadata-descriptors/{descriptor_id}
curl -X PUT "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/metadata-descriptors/b35b7fb5-df86-5776-b181-68564193d36" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Custom Field",
  "for_client": "True",
  "choices": [
    "option1",
    "option2"
  ],
  "departments": [
    "department1",
    "department2"
  ]
}'
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/metadata-descriptors/b35b7fb5-df86-5776-b181-68564193d36"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "name": "Custom Field",
    "for_client": "True",
    "choices": [
        "option1",
        "option2"
    ],
    "departments": [
        "department1",
        "department2"
    ]
}

response = requests.put(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request PUT 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/metadata-descriptors/b35b7fb5-df86-5776-b181-68564193d36' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"name":"Custom Field","for_client":"True","choices":["option1","option2"],"departments":["department1","department2"]}'
Request examples
{
  "name": "Custom Field",
  "for_client": "True",
  "choices": [
    "option1",
    "option2"
  ],
  "departments": [
    "department1",
    "department2"
  ]
}
Response examples (200)
{}